RJavaArrayIterator
Date: 2013-12-23

## Class RJavaArrayIterator

- java.lang.Object
- - RJavaArrayIterator

- Direct Known Subclasses:
    ArrayWrapper, RectangularArrayBuilder, RectangularArraySummary

      public abstract class RJavaArrayIterator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Object` | `array`
    `protected int[]` | `dimensions`
    `protected int[]` | `dimprod`
    `protected int` | `increment`
    `protected int[]` | `index`
    `protected int` | `nd`
    `protected int` | `position`
    `protected int` | `start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RJavaArrayIterator()`
    `RJavaArrayIterator(int d1)`
    `RJavaArrayIterator(int[] dimensions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getArray()`
    `java.lang.String` | `getArrayClassName()`
    `int[]` | `getDimensions()`
    `protected boolean` | `hasNext()`
    `protected java.lang.Object` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dimensions

          protected int[] dimensions

    - #### nd

          protected int nd

    - #### index

          protected int[] index

    - #### dimprod

          protected int[] dimprod

    - #### array

          protected java.lang.Object array

    - #### increment

          protected int increment

    - #### position

          protected int position

    - #### start

          protected int start

  - ### Constructor Detail

    - #### RJavaArrayIterator

          public RJavaArrayIterator()

    - #### RJavaArrayIterator

          public RJavaArrayIterator(int[] dimensions)

    - #### RJavaArrayIterator

          public RJavaArrayIterator(int d1)

  - ### Method Detail

    - #### getArray

          public java.lang.Object getArray()

    - #### getArrayClassName

          public java.lang.String getArrayClassName()

      Returns:
        the class name of the array

    - #### getDimensions

          public int[] getDimensions()

    - #### next

          protected java.lang.Object next()

    - #### hasNext

          protected boolean hasNext()